using System;

namespace nesusedni
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            char c1 = s[0];
            char c2 = s[1];
            string[] s1 = Console.ReadLine().Split();
            int a1 = int.Parse(s1[0]);
            int a2 = int.Parse(s1[1]);
            string rec="";
            if (Math.Abs(a1 - a2) > 1)
            {
                Console.WriteLine("nemoguce");
            }
            else
            {
                if (a1 >= a2)
                {
                    for (int i = 0; i < a2; i++)
                    {
                        rec += c1;
                        rec += c2;
                    }
                }
                if (a2 > a1)
                {
                    for (int i = 0; i < a1; i++)
                    {
                        rec += c2;
                        rec += c1;
                    }
                }
            }
            if (a1<a2)
            {
                Console.WriteLine(s + c1);
            }
            else
            {
                if (a1==a2)
                {
                    Console.WriteLine(s);
                }
                else
                {
                    Console.WriteLine(s + c2);
                }
            }
        }
    }
}